# Generated by Django 5.0 on 2023-12-22 14:55

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("products", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Subcategory",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("label", models.CharField(max_length=50)),
                (
                    "category",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="subcategory", to="products.category"
                    ),
                ),
            ],
        ),
        migrations.RunSQL(
            """
        INSERT INTO products_subcategory (category_id, label)
        VALUES 
			(1, 'Bread'),
			(1, 'Dessert'),
			(2, 'Fruit'),
			(2, 'Vegatable'),
			(3, 'Fish'),
			(3, 'Chicken'),
			(3, 'Beef'),
			(3, 'Pork'),
			(4, 'Milk'),
			(4, 'Yogurt'),
			(5, 'Bio fruit'),
			(5, 'Bio vegatable'),
			(6, 'Foie gras'),
			(6, 'Caviar'),
			(7, 'Frozen fruit'),
			(7, 'Frozen meals'),
			(8, 'Alcohol'),
			(8, 'Beer'),
			(8, 'Water'),
			(9, 'Маке-up'),
			(9, 'Skin care'),
			(10, 'Folders'),
			(10, 'Storage box');
        """,
            "DELETE FROM products_subcategory;",
        ),
    ]
